Subject: Re: cg-admin-setuprepo fails to make a cg-clone'able repo

From: [email-masked] (Randal L. Schwartz)
Date: 12 Nov 2005 08:51:35 -0800

>>>>> "Petr" == Petr Baudis <[email-masked]> writes:

Petr> But this is actually an entirely unrelated bug, it seems - pretty
Petr> strange.  I revived another few months old thread because of this, since
Petr> it seems the 'b' was actually a typo and we don't want to pass 'cp' this
Petr> argument at all, but something different. Does cloning locally otherwise
Petr> work?

When I tried "local cloning", I first tried to make an empty archive
with cgi-init, but it dumped me into an editor.  I couldn't find a
switch to turn that off.  Perhaps the manpage should say "you'll
be dumped in to an editor", and perhaps provide a way to pass that
message with "-m".

So, on a whim, I realize that it's performing an initial commit, so
I try cg-init -I.  And here's the result:

    localhost:~/Projects/Git % cg-init -I my_master
    defaulting to local storage area
    localhost:~/Projects/Git % cg-clone my_master my_slave
    defaulting to local storage area
    find: /Users/merlyn/Projects/Git/my_master: No such file or directory
    Hard links don't work - using copy
    Fetching head...
    cp: illegal option -- b
    usage: cp [-R [-H | -L | -P]] [-f | -i | -n] [-pv] src target
           cp [-R [-H | -L | -P]] [-f | -i | -n] [-pv] src1 ... srcN directory
    cg-fetch: unable to get the HEAD branch
    cg-clone: fetch failed

So, I guess your answer is no.  What is "-b" for cp.  That's not
on my manpage.

And, after reading the manpage closer, I see my first "my_master"
was created wrong.  But no error message. :(  So, repeating this
using a subdirectory...

    localhost:~/Projects/Git % rm -rf .git 
    localhost:~/Projects/Git % mkdir my_master
    localhost:~/Projects/Git % cd my_master
    localhost:..ects/Git/my_master % cg-init -I
    defaulting to local storage area
    localhost:..ects/Git/my_master % cd ..
    localhost:~/Projects/Git % cg-clone my_master my_slave
    defaulting to local storage area
    Hard links don't work - using copy
    Fetching head...
    cp: illegal option -- b
    usage: cp [-R [-H | -L | -P]] [-f | -i | -n] [-pv] src target
           cp [-R [-H | -L | -P]] [-f | -i | -n] [-pv] src1 ... srcN directory
    cg-fetch: unable to get the HEAD branch
    cg-clone: fetch failed

Again, lots of "no" answers there.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!